.balloon {
  &-popup {
    position: absolute;
    width: 100%;
    max-width: 240px;
    display: block;
    line-height: 1.4;
    background: var(--bg-main);
    padding: 1rem;
    z-index: 100;

    .svg {
      display: inline-block !important;
    }

    &-close-button {
      position: absolute;
      right: 8px;
      top: 8px;
      border: none;
      width: 20px;
      height: 20px;
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0;
      background-color: #ffffff;
      outline: none;

      svg {
        fill: #cccccc;
        width: 14px;
        height: 14px;
      }

      &:hover {
        svg {
          fill: #000000;
        }
      }
    }

    &::after {
      content: '';
      background-color: transparent;
      position: absolute;
      width: 0;
      height: 0;
      border-top: 15px solid transparent;
      border-right: 15px solid transparent;
      border-bottom: 15px solid transparent;
      border-left: 15px solid var(--bg-main);
      z-index: 2;
    }

    &.default {
      &::after {
        left: 50%;
        bottom: -29px;
        transform: rotate(90deg);
      }
    }

    &.top {
      &::after {
        left: 50%;
        bottom: auto;
        top: -29px;
        transform: rotate(-90deg);
      }
    }

    &.left {
      &::after {
        left: auto;
        right: 20px;
        bottom: -29px;
        transform: rotate(90deg);
      }

      &.top {
        &::after {
          left: auto;
          right: 20px;
          bottom: -29px;
          transform: rotate(-90deg);
        }
      }
    }

    &.__hidden {
      visibility: hidden;
    }
  }

  .sellerAvailability {
    width: 100%;
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;

    .AppSellerPrice {
      display: block;
      margin-right: 1rem;
    }

    .sellerPrice {
      font-size: 1.5rem;
      line-height: 1.5rem;
  
      &-item {
        font-weight: normal;
      }
    }

    .sellerQuantity {
      &-name {
        margin-bottom: 0;
        padding-bottom: 0;

        &.-in-stock {
          font-size: 0.75rem;
          margin-bottom: 0.25rem;
          padding-bottom: 0.25rem;
        }
      }

      &-value {
        white-space: nowrap;
      }
    }
  }

  .sellerBasic {
    font-size: 0.75rem;

    &-name {
      font-weight: 500;

    }

    &-item {
      padding-bottom: 0.375rem;

      .link {
        width: 100%;
        display: flex;
        max-width: 100%;

        span {
          display: flex;
        }

        .svg {
          margin-left: .25rem;
          z-index: 1;
          flex-shrink: 0;
          fill: var(--link-color);
    
          &.absolute {
            position: absolute;
            right: 0;
          }
        }
      }

      &.scheduleStatus {
        padding-top: 0;
        padding-bottom: 0.25rem;
      }
    }

    &-address {
      margin-bottom: 1rem;
      white-space: nowrap;
    }
  }

  .buttonOrder {
    width: 100%;
  }

  @media screen and (max-width: 980px) {
    .sellerBasic {
      padding-bottom: 0;
    }
  }
}
